1.1

1.1

put /v1/volumes/{volume_id}/replications/policy

Description

Set Volume Replication Policy.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume id
Example : 92cd16fe8ebc4f73832513a172bf0000
stringNone
bodybody
required

VolumeReplicationPolicyRequest

Responses

HTTP CodeDescriptionSchema
200OKVolumeReplicationPolicyResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/replications/policy

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"

Request body

{
    "policy": "RESYNC"
}

Example HTTP response

Response 200

{
    "sync_cycle": "5MIN",
    "sync_state": "SNAPMIRROED"
}